using Microsoft.UI.Xaml;

namespace YMhut.Box.WinUI.Services;

public interface ITrayService : IDisposable
{
    event EventHandler? ExitRequested;

    bool IsAvailable { get; }

    void Initialize(Window window);

    void ShowMainWindow();

    void HideMainWindow();
}
